> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseten.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List route connections

> Lists a team's connections to upstream providers.

<Note>
  This endpoint is in beta. The request and response structure may change before it's generally available.
</Note>


## OpenAPI

````yaml get /v1/routes/connections
openapi: 3.1.0
info:
  description: REST API for management of Baseten resources
  title: Baseten management API
  version: 1.0.0
servers:
  - url: https://api.baseten.co
security:
  - BearerAuth: []
paths:
  /v1/routes/connections:
    get:
      summary: Lists connections
      description: Lists the team's connections, newest first.
      parameters:
        - name: cursor
          in: query
          required: false
          description: >-
            Opaque cursor returned by a previous page. Omit to fetch the first
            page.
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: null
            title: Cursor
        - name: limit
          in: query
          required: false
          description: Maximum number of items to return.
          schema:
            default: 100
            maximum: 1000
            minimum: 1
            title: Limit
            type: integer
        - name: team_id
          in: query
          required: false
          description: Identifier of the team whose connections to list.
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: null
            title: Team Id
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouteConnectionsResponseV1'
      x-codeSamples:
        - lang: bash
          source: |
            curl --request GET \
            --url https://api.baseten.co/v1/routes/connections \
            --header "Authorization: Bearer $BASETEN_API_KEY"
        - lang: python
          source: |-
            import requests
            import os
            API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
            url = "https://api.baseten.co/v1/routes/connections"

            headers = {"Authorization": f"Bearer {API_KEY}"}

            response = requests.request(
                "GET",
                url,
                headers=headers,
                params={'cursor': None, 'team_id': None}
            )

            print(response.text)
components:
  schemas:
    RouteConnectionsResponseV1:
      properties:
        items:
          description: Items in this page.
          items:
            $ref: '#/components/schemas/RouteConnectionV1'
          title: Items
          type: array
        pagination:
          $ref: '#/components/schemas/PaginationResponseV1'
          description: Pagination metadata for the page.
      required:
        - items
        - pagination
      title: RouteConnectionsResponseV1
      type: object
    RouteConnectionV1:
      properties:
        id:
          description: Stable connection identifier.
          title: Id
          type: string
        team_id:
          description: Identifier of the team that owns the connection.
          title: Team Id
          type: string
        config:
          description: >-
            Provider the connection authenticates with, and the team secret
            holding its API key.
          discriminator:
            mapping:
              ANTHROPIC: '#/components/schemas/RouteConnectionConfigAnthropicV1'
              OPENAI: '#/components/schemas/RouteConnectionConfigOpenAIV1'
              XAI: '#/components/schemas/RouteConnectionConfigXAIV1'
            propertyName: provider
          oneOf:
            - $ref: '#/components/schemas/RouteConnectionConfigAnthropicV1'
            - $ref: '#/components/schemas/RouteConnectionConfigOpenAIV1'
            - $ref: '#/components/schemas/RouteConnectionConfigXAIV1'
          title: Config
        created_at:
          description: Creation time, ISO 8601.
          format: date-time
          title: Created At
          type: string
        updated_at:
          description: Last update time, ISO 8601.
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - team_id
        - config
        - created_at
        - updated_at
      title: RouteConnectionV1
      type: object
    PaginationResponseV1:
      properties:
        has_more:
          description: Whether more items exist after this page.
          title: Has More
          type: boolean
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Opaque cursor to pass into the next request. Null when there is no
            next page.
          title: Cursor
      required:
        - has_more
      title: PaginationResponseV1
      type: object
    RouteConnectionConfigAnthropicV1:
      properties:
        provider:
          const: ANTHROPIC
          description: Provider kind for Anthropic.
          title: Provider
          type: string
        secret_id:
          description: Identifier of the team secret holding the provider API key.
          title: Secret Id
          type: string
        secret_name:
          description: Name of the team secret holding the provider API key.
          title: Secret Name
          type: string
      required:
        - provider
        - secret_id
        - secret_name
      title: RouteConnectionConfigAnthropicV1
      type: object
    RouteConnectionConfigOpenAIV1:
      properties:
        provider:
          const: OPENAI
          description: Provider kind for OpenAI.
          title: Provider
          type: string
        secret_id:
          description: Identifier of the team secret holding the provider API key.
          title: Secret Id
          type: string
        secret_name:
          description: Name of the team secret holding the provider API key.
          title: Secret Name
          type: string
      required:
        - provider
        - secret_id
        - secret_name
      title: RouteConnectionConfigOpenAIV1
      type: object
    RouteConnectionConfigXAIV1:
      properties:
        provider:
          const: XAI
          description: Provider kind for xAI.
          title: Provider
          type: string
        secret_id:
          description: Identifier of the team secret holding the provider API key.
          title: Secret Id
          type: string
        secret_name:
          description: Name of the team secret holding the provider API key.
          title: Secret Name
          type: string
      required:
        - provider
        - secret_id
        - secret_name
      title: RouteConnectionConfigXAIV1
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Send `Authorization: Bearer <api_key>`. The legacy `Authorization:
        Api-Key <api_key>` scheme is also accepted.

````